<?php
    include "misc.inc";
    include "common.inc";
    include "db_connect.inc";

    $author = trim($author);
    $login  = trim($login);
    $pass   = trim($pass);

    $ok=0; 

    while(1)
    {
        if(strlen($author)==0 || strlen($login)==0 || strlen($pass)==0)
        {
            $errmsg="Вы должны заполнить все поля!";
            break;
        } 

        $sql = "SELECT Password FROM PendingEmailConfimations WHERE Login='" . addslashes($login) . "' AND AuthorId='" . addslashes($author) . "'";
        $result = mysql_db_query($db_database, $sql , $link);
        if(!$result)
        {
           $errmsg = "Ошибка поиска автора";
           break;
        } 
        $row = mysql_fetch_array($result);
        mysql_free_result($result);
        if(!$row)
        {
                $errmsg = "Ошибка авторизации: ваш запрос подтверждения не найдет в базе данных. Возможно он был удален после 1 дня хранения. Попробуйте потребовать добавление адереса еще раз.";
                break;
        } 

        $realpass=$row[0];
        if(strcmp($pass, $realpass)!=0)
        {
                $errmsg = "Ошибка авторизации: неверный пароль!";
                break;
        }

        $sql = "DELETE FROM PendingEmailConfimations WHERE Login='" . addslashes($login) . "' AND AuthorId='" . addslashes($author) . "'";
        $result = mysql_db_query($db_database, $sql , $link);
        if(!$result)
        {
                $errmsg = "Ошибка авторизации: внутренняя ошибка удаления запроса авторизации. Сообщите администрации.";
                break;
        } 

        $sql = "UPDATE Authors SET Login='" . addslashes($login) . "' WHERE Id='" . addslashes($author) . "'";
        $result = mysql_db_query($db_database, $sql , $link);
        if(!$result)
        {
                $errmsg = "Ошибка авторизации: внутренняя ошибка установки login-на. Сообщите администрации.";
                break;
        } 


        $ok = 1;
        break;
    } // while

    if($ok)
    {

        $clogin = current_user();
        if($clogin)
        {
                do_redirect("prefs.php");
        } else 
        {
                do_redirect("login.php");
        }

    } else
    {
        start_page();
    }
?>

<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=koi8-r">
<TITLE>Ошибка добавления адреса!</TITLE>
</HEAD>

<BODY link="#000033" vlink="#333333" alink="#CC0000">
<?php show_header(); ?>

<p>Ошибка добавления адреса:
<pre>
        <?php print $errmsg; ?>
</pre>
<a href="prefs.php">Вернитесь</a>, и попробуйте еще раз.

<?php show_footer(); ?>

</BODY>
</HTML>
